## org.gnu.gdk
Class InputSource

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.InputSource

public class InputSource
extends org.gnu.glib.Enum

Field Summary
`static InputSource` `CURSOR`
`static InputSource` `ERASER`
`static InputSource` `MOUSE`
`static InputSource` `PEN`

Method Summary
`InputSource` `and(InputSource other)`
`static InputSource` `intern(int value)`
`InputSource` `or(InputSource other)`
`boolean` `test(InputSource other)`
`InputSource` `xor(InputSource other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MOUSE

    public static final InputSource MOUSE

### PEN

    public static final InputSource PEN

### ERASER

    public static final InputSource ERASER

### CURSOR

    public static final InputSource CURSOR

Method Detail

### intern

    public static InputSource intern(int value)

### or

    public InputSource or(InputSource other)

### and

    public InputSource and(InputSource other)

### xor

    public InputSource xor(InputSource other)

### test

    public boolean test(InputSource other)